/*
 * Copyright (c) 2004 Changwoo Ryu
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
#ifndef _MBPRINTF_H
#define _MBPRINTF_H

#include <stdio.h>
#include <stdarg.h>

#ifdef _cplusplus
extern "C" {
#endif

extern int mbprintf (const char *format, ...);
extern int fmbprintf (FILE *stream, const char *format, ...);
extern int vmbprintf (const char *format, va_list ap);
extern int vfmbprintf (FILE *stream, const char *format, va_list ap);

#if 0 /* TODO */
extern int smbprintf (char *str, const char *format, ...);
extern int snmbprintf (char *str, size_t size, const char *format, ...);
extern int vsmbprintf (char *str, const char *format, va_list ap);
extern int vsnmbprintf (char *str, size_t size, const char *format, va_list ap);
#endif

#ifdef _cplusplus
}
#endif

#endif /* !_MBPRINTF_H */

